NAME
Tcl_RegExpMatch - Test whether a string matches a regular expression

SYNOPSIS
#include <tcl.h>

int
Tcl_RegExpMatch(interp, string, regexp)

ARGUMENTS
Tcl interpreter to use for error reporting. String to test. Regular expression to match against string.

DESCRIPTION

Tcl_RegExpMatch determines whether its string argument matches regexp, where regexp is interpreted as a regular expression using the same rules as for the regexp Tcl command. If there is a match then Tcl_RegExpMatch returns 1. If there is no match then Tcl_RegExpMatch returns 0. If an error occurs in the matching process (e.g. regexp is not a valid regular expression) then Tcl_RegExpMatch returns -1 and leaves an error message in interp->result.

KEYWORDS
match, regular expression, string